/* Use import to split up your CSS into manageable chunks */
@import url("./reset.css");
/* Files that are only needed to be imported are called partials */
/* These are marked with an underscore: */
@import url("./variables.css");
/* Feel free to add as many of these imports as you need */

body {
  color: var(--color-primary);
  background-color: #FFFFFF;
  font-family: Arial, Helvetica, sans-serif;
  display:flex;
  flex-direction: column;
  justify-content: space-between;
}
.h1-main-page{
  text-align: right;
  padding: 5%;
}
.h2-main-page{
  text-align: left;
  padding: 5%;
  color:white
}
#background_first{
  background-image: url(../assets/images/Norronare.jpg);
  min-height: 60vh;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  margin-bottom: 3%;
}

#background_second{
  background-image: url(../assets/images/extreme-rain.jpg);
  min-height: 60vh;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  margin-bottom: 3%;
}

 nav, #menu-checkbox{
  display: none;
}

#menu-checkbox:checked ~ nav {
  display: block;
}

header{
  position:relative;
  padding: 1px;
  font-size: 1.5rem;
}

nav{
  position:absolute;
  background:white;
  left: 0px;

}

nav a{
  display:block;
  color: black;
  font-size: 15px;
  font-weight: bold;
  margin-right: 15px;
}

.navdiv  {
  padding-left: 20px;
}
.nav-menu a{
  text-decoration: none;
}

.logo {
  display: none;
  font-size: 35px;
  font-weight: 600;
  color: white;
  width: 80px;
  height: 80px
}


@media (min-width: 600px){
  nav{
    display: block;
    position: static;
  }
  .navdiv{
    display:flex;
    flex-direction: row;
    justify-content: space-between;
    margin: 1px 50px;
  }
  .logo{
    display: block;
    width: 80px;
    height: 80px
  }
  .nav-menu{
    display: flex;
    flex-direction: row;
    align-items: center;
  }

  .hamburger-icon{
    display: none;
  }


} 

.navbar-image{
  position: relative;
  top: 5px;
  margin-right: 15px;
}

 footer{
  background-color: #053541 ;
}

.footercontainer{
  left: 0;
  bottom: 0;
  display: flex;
  width: 100%;
  padding: 20px;
  background-color: #3B515E;
  border: 2px solid;
  justify-content: space-between;
}

.socialicons{
  display: flex;
  justify-content: center;

}

.socialicons a img{
  height: 20px;
  width: 20px;
  margin: 2px;
}

.socialicons a:hover i{
  color: beige;
  transition:0.5s ;
}

.footernav{
  display: flex;
}

.footernav ul{
  align-items:center ;
}

.footernav ul li{
  list-style: none;
  margin: 25px;
}

.footernav ul li a{
  color: white;
  font-size: 15px;
}

.footerbottom{
  background-color: aquamarine;
}

.designer{
  opacity:0.7 ;
  text-transform: uppercase;
  letter-spacing:  1px;
  font-weight: 400;
  margin: 0px 5px;

}

#background{
  background-image: url(../assets/images/pexels-photo-433142.jpeg);
  min-height: 100vh;
  background-repeat: no-repeat;
  background-size: cover;
  margin-bottom: 3%;
}

.row{
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
}

.column{
  background-color: #F5F5F5;
  flex: 25.00%;
  padding: 5px;
  margin: 5px;
  border: black 1px solid;
}

.column a{
  display: flex; 
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
  text-decoration: none;
}

.column-show-item{
  background-color:white;
  flex: 25.00%;
  padding: 5px;
  margin: 5px;
}
.product-size-container{
  padding-left: 15%;
}
.product-title-p{
  margin-bottom: 0px;
}
.product-title-nok{
  margin-top: 0px;
}

.product-title-color-size{
  font-size: x-small;
}
#product-sizes{
  font-size:x-small;
  margin-bottom: 10%;
}


#backgroundw{
  background-image: url(../assets/images/istockphoto-1318164337-612x612.jpg);
  min-height: 100vh;
  background-repeat: no-repeat;
  background-size: cover;
  margin-bottom: 3%;
}



#background_success{
  background-image: url(../assets/images/success1.jfif);
  min-height: 60vh;
  background-repeat: no-repeat;
  background-size: cover;
  margin-bottom: 3%;
}

.item{
  padding: 0px;
  margin: 0px;
  text-align: center;
}

#background_about{
  background-image: url(../assets/images/about-us.webp);
  min-height: 100vh;
  background-repeat: no-repeat;
  background-size: cover;
  margin-bottom: 3%;
}
.background-about-h{
  text-align: left;
  padding: 5%;
}
.shipping-container{
  padding: 5%; border: 0px; background-color: white;
}

.mycart-container{
  border: 0px; background-color: white;
}
.payment-container{
  text-align: center;
  margin-top: 20%;
}

.payment-container img{
  width:70px;
  height:40px;
}
.checkout-successful{
  text-align: center;
}

.add-cart-label{
  margin-bottom: 5%;
  display: flex;
  flex-direction: column;
} 

.add-cart-label input{
  border: 0px;
  border-bottom: 1px solid grey;
} 

.contact-label{
  border: 1px solid rgb(80, 79, 79) 
}

hr.solid {
  border-top: 1px solid gray;
}
a.button {
  padding: 1px 6px;
  border: 1px outset;
  color: white;
  background-color: black;
  text-decoration: none;
  font-size: xx-small;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 40%;
  height: 30px;
}

#product-title-h3{
  text-align: left;
  margin-left: 2%;
}

.product-details-container{
  width: 50%;
  margin: 8%;
}

#product-description{
  font-size: small;
}
.about-page-container{
  justify-content: space-around;
}

.about-page-container img{
  width: 400px;
  height: 400px;
}
#product-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
  padding: 20px;
}
.submit-request-container{
  width: 30%;
}

.submit-request-container button{
  background-color: red;
  width: 70%;
  border:none;
  border-radius: 12px
}

.submit-request-container button p{
  color: white;
}

.product-box {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  background-color: #fff;
  border: black 1px solid;
  border-radius: 5px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  width: 300px;
  padding: 15px;
  text-align: center;
}

.product-box a {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
}


.product-box img {
  max-width: 100%;
  height: auto;
  border-radius: 5px;
}

.product-box h4 {
  margin: 10px 0;
}

.product-box p {
  font-size: 0.90em;
  color: #666;
}

.filter-container {
  font-size: x-large;
  text-align: center;
  margin: 50px;
}

.filter-container select{
  font-size: medium;
}

#product-img-big {
  max-width: 500px;
  height: auto;
}

header .navbar-image  {
  width: 20px;
}
header .navbar-quantity  {
  width: 20px;
  height: 20px
}
header .shopping{
  position: relative;
  text-align: right;
}
header .nav-menu span{
  background-color: red;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #FFFFFF;
  position: absolute;
  top: -10px;
  left: 1px;
  padding: 3px 10px;
  font-size: 12px;
}


.size-button {
  border: solid rgb(99, 98, 98) 1px;
  padding: 5px;
  margin: 1px;

  display: inline-block;
  cursor: pointer;
  transition: background 0.3s ease;
}

.size-button.hover {
  background: lightgray;
}

.size-button.selected {
  background: antiquewhite;
}

#checkout-card-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  padding: 20px;
}

.checkout-product-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: #fff;
  width: 300px;
  padding: 15px;
  text-align: center;
  border: 1px solid #ddd;
  border-radius: 5px;
}

.checkout-product-box img {
  max-width: 50%;
  height: auto;
  border-radius: 5px;
}

.checkout-product-box h4 {
  margin: 10px 0;
}

.checkout-product-box p {
  font-size: 0.90em;
  color: #666;
  margin: 5px 0;
}

.checkout-product-box button {
  background: red;
  color: white;
  border: none;
  padding: 5px 10px;
  margin-top: 10px;
  cursor: pointer;
}

.cart-item-box{
  background-color: rgb(223, 222, 222);
  padding:2%;
}

.cart-item-details{
  display: flex;
  justify-content: space-between;
}

.cart-item-price-shipping{
  display: flex;
  justify-content: space-between;
}

.cart-item-img{
  width: 80px;
  height: auto;
  border-radius: 5px;
}
.cart-item-remove-button{
  background: red;
  color: white;
  border: none;
  padding: 5px 10px;
  margin-top: 10px;
  cursor: pointer;
}
.cart-item-remove-button-div{
  display: flex;
  justify-content: center;
  align-items: center;
}
hr {
  width: 100%;
  border-top: 1px solid black;
  margin: 5px 0;
}

.product-error{
  background-color: #ec9898;
  border: 1px solid;
  border-radius: 5px;
  box-shadow: 20px 20px 5px rgba(0, 0, 0, 0.1);
  padding:20px 50px;
  margin-bottom: 50px;

}
.product-error-title {
  color: white;
  font-size: xx-large;
  padding: 5px 0px;
  margin: 5px 0px;
}
.product-error-details{
  font-size: medium;
  color: white;
}
#successMessage {
  display: none;
  color: black;
  background-color: lightgreen;
  margin-top: 50px;
  padding: 10px;
}

.loader {
  border: 16px solid #f3f3f3; /* Light grey */
  border-top: 16px solid #3B515E;
  border-radius: 50%;
  width: 100px;
  height: 100px;
  animation: spin 2s linear infinite;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
.product-loader-container{
  display: flex;
  justify-content: center;
  align-items: center;
}